from wagtail import hooks
from wagtail_modeladmin.options import ModelAdmin,ModelAdminGroup, modeladmin_register

from django.utils.html import format_html

from wagtail import hooks
from django.utils.safestring import mark_safe
from django.templatetags.static import static

from treemodeladmin.options import TreeModelAdmin

from .models import *
from wagtail.snippets.models import register_snippet
# from wagtail_newsletter.models import NewsletterRecipients
# register_snippet(NewsletterRecipients)


@mark_safe
@hooks.register("insert_global_admin_css", order=100)
def global_admin_css():
    subcategory_chooser_css = static('css/subcategory_chooser.css')
    return f'<link rel="stylesheet" href="{subcategory_chooser_css}">'


@mark_safe
@hooks.register("insert_global_admin_js", order=100)
def global_admin_js():
    return format_html(
        '<script src="{}"></script>',
        static("/js/subcategory_chooser.js")

    )


class ScTypeAdmin(ModelAdmin):
    model = SocialType
    menu_label = 'Social Type'
    menu_icon = 'list'
    list_display = ('scType',)


class ComPolicyAdmin(TreeModelAdmin):
    model = ComPolicy
    parent_field = 'type'
    menu_label = 'Policy'
    menu_icon = 'list'
    # list_display = ('title',)
    # list_display_add_buttons = 'title'
    # list_export = ("type","plcCountry","title", "slug","created_on","text")
    # export_filename = "GPD-Com-Policy"

# @modeladmin_register


class PolicyTypeModelAdmin(TreeModelAdmin):
    menu_label = 'Policy Type'
    menu_icon = 'list-ul'
    model = PolicyType
    child_field = 'policies'
    child_model_admin = ComPolicyAdmin


class CompanyInfoAdmin(ModelAdmin):
    model = CompanyInfo
    menu_label = 'Company Info'
    menu_icon = 'list'
    list_display = ('ciType',)
    list_display_add_buttons = 'ciType'

class TopHeaderAdmin(ModelAdmin):
    model = TopHeader
    menu_label = 'Header'
    menu_icon = 'breadcrumb-expand'
    list_display = ('title',)

class FooterAdmin(ModelAdmin):
    model = Footer
    menu_label = 'Footer'
    menu_icon = 'Footer'
    list_display = ('title',)
   



@modeladmin_register
class WeSettingsGroup(ModelAdminGroup):  # 800
    menu_label = 'Web Settings'
    menu_icon = 'cogs'
    menu_order = 500  # will put in 3rd place (000 being 1st, 100 2nd)
    items = (
        TopHeaderAdmin,
        PolicyTypeModelAdmin, CompanyInfoAdmin,ScTypeAdmin,
        FooterAdmin
        )
